FreeMat

- Main Page
- Related Pages

vtkChooserPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter does not actually do any painting. Instead, it picks other painters based on the current state of itself and its poly data. It then delegates the work to these other painters.

To create an instance of class vtkChooserPainter, simply invoke its constructor as follows

      obj = vtkChooserPainter

# Methods

The class vtkChooserPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkChooserPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkChooserPainter = obj.NewInstance ()`
- `vtkChooserPainter = obj.SafeDownCast (vtkObject o)`
- `obj.SetVertPainter (vtkPolyDataPainter )`
- `obj.SetLinePainter (vtkPolyDataPainter )`
- `obj.SetPolyPainter (vtkPolyDataPainter )`
- `obj.SetStripPainter (vtkPolyDataPainter )`
- `obj.SetUseLinesPainterForWireframes (int )` - When set, the lines painter is used for drawing wireframes (off by default, except on Mac, where it's on by default).
- `int = obj.GetUseLinesPainterForWireframes ()` - When set, the lines painter is used for drawing wireframes (off by default, except on Mac, where it's on by default).
- `obj.UseLinesPainterForWireframesOn ()` - When set, the lines painter is used for drawing wireframes (off by default, except on Mac, where it's on by default).
- `obj.UseLinesPainterForWireframesOff ()` - When set, the lines painter is used for drawing wireframes (off by default, except on Mac, where it's on by default).